#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

%:
	dh ${@} --sourcedirectory=tools --with apache2

execute_after_dh_auto_clean:
	rm -f apache2/mod_qos.*l* apache2/mod_qos.o
	rm -rf apache2/.libs/

execute_after_dh_auto_build:
	LTFLAGS="--no-silent" apxs2 \
		  -S CFLAGS="$(CFLAGS) \
		  -D_LARGEFILE64_SOURCE $(CPPFLAGS)" \
		  -lcrypto -DHAVE_OPENSSL -c apache2/mod_qos.c

override_dh_installchangelogs:
	dh_installchangelogs doc/CHANGES.txt
